 import javax.swing.*;
 import java.awt.*; 
 import java.io.*;
 
 /**
 * MultipleChoiceQuestionGenerator.java 1.0 03/01/21
 * <br>
 * Preview Panel that is used in the JFileChooser
 * <br>
 * Author       : James McMahon
 * <br>
 * Created      : 1/02/2003
 * <br> 
 * Last Updated : 1/02/2003 
 */
 
 public class PreviewPanel extends JPanel {
 	
 	/**
 	 * The label that is associated with the previewer
 	 */
 	private JLabel label;
 	
 	/**
 	 * The actual previewer that displays the images
 	 */
 	private ImagePreviewer previewer;
 
 	/**
 	 *  Constructs the ppreview panel with the given previewer
 	 *
 	 *  @param previewer The previewer for use with the preview panel
 	 *  @param labelText The label that is this previewer's title
 	 */
 	public PreviewPanel(ImagePreviewer previewer, String labelText){	
 		this.previewer = previewer;
 		
 		label = new JLabel(labelText, SwingConstants.CENTER);
 		setPreferredSize(new Dimension(150,100));
 		setBorder(BorderFactory.createEtchedBorder());
 		
 		setLayout(new BorderLayout());
 		label.setBorder(BorderFactory.createEtchedBorder());
 		
 		this.add(label, BorderLayout.NORTH);
 		this.add(previewer, BorderLayout.CENTER);
 	}
 	
 	/** 
 	 * Attempts to remove the icon that is being previewed and replaces it with nothing
 	 */
 	public void removeImage() {
 		previewer.configure((File)null, false);
 	}
 	
 	/** 
 	 * refresh the panel incase of redraw problems
 	 */
 	public void refreshScreen(){
 		this.validate();
 		this.repaint();	
 	}
 }